Create a person
curl --request POST \
--url https://api.engine.usesophic.com/persons \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"claims": [
{
"claim_type": "identity",
"date_of_birth": "2023-12-25",
"first_name": "<string>",
"last_name": "<string>"
}
]
}
'import requests
url = "https://api.engine.usesophic.com/persons"
payload = { "claims": [
{
"claim_type": "identity",
"date_of_birth": "2023-12-25",
"first_name": "<string>",
"last_name": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
claims: [
{
claim_type: 'identity',
date_of_birth: '2023-12-25',
first_name: '<string>',
last_name: '<string>'
}
]
})
};
fetch('https://api.engine.usesophic.com/persons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"claims": [
{
"claim_type": "identity",
"created_at": "2026-07-14T09:30:00Z",
"date_of_birth": "2023-12-25",
"first_name": "<string>",
"id": "<string>",
"last_name": "<string>",
"status": "pending"
}
],
"created_at": "2023-11-07T05:31:56Z",
"full_name": "<string>",
"id": "<string>",
"modified_at": "2023-11-07T05:31:56Z",
"person_type": "natural"
}{
"code": "<string>",
"detail": "<string>",
"context": {},
"docs": "<string>",
"params": [
{
"code": "<string>",
"detail": "<string>",
"path": [
123
]
}
]
}Customers
Create a person
Creates a person from claims with optional verification evidence. Supports both natural and legal persons.
POST
/
persons
Create a person
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
claims
(IdentityClaimSpec · object | NationalitiesClaimSpec · object | ResidenceClaimSpec · object | TaxResidenciesClaimSpec · object | FatcaStatusClaimSpec · object | PepStatusClaimSpec · object | EducationLevelClaimSpec · object | EmploymentClaimSpec · object | FinancialProfileClaimSpec · object | InvestmentExperienceClaimSpec · object | RegistrationClaimSpec · object | ContactDetailsClaimSpec · object | LeiClaimSpec · object | RegisteredAddressClaimSpec · object | OperatingAddressClaimSpec · object | BusinessNatureClaimSpec · object | ExpectedActivityClaimSpec · object | RelationshipsClaimSpec · object)[]
required
Identity and business claims for the person.
Minimum array length:
1Spec for identity claim data.
- IdentityClaimSpec
- NationalitiesClaimSpec
- ResidenceClaimSpec
- TaxResidenciesClaimSpec
- FatcaStatusClaimSpec
- PepStatusClaimSpec
- EducationLevelClaimSpec
- EmploymentClaimSpec
- FinancialProfileClaimSpec
- InvestmentExperienceClaimSpec
- RegistrationClaimSpec
- ContactDetailsClaimSpec
- LeiClaimSpec
- RegisteredAddressClaimSpec
- OperatingAddressClaimSpec
- BusinessNatureClaimSpec
- ExpectedActivityClaimSpec
- RelationshipsClaimSpec
Show child attributes
Show child attributes
Whether the person is natural or legal.
Available options:
natural, legal Response
Created
claims
(IdentityPersonClaimSummary · object | NationalitiesPersonClaimSummary · object | ResidencePersonClaimSummary · object | TaxResidenciesPersonClaimSummary · object | FatcaStatusPersonClaimSummary · object | PepStatusPersonClaimSummary · object | EducationLevelPersonClaimSummary · object | EmploymentPersonClaimSummary · object | FinancialProfilePersonClaimSummary · object | InvestmentExperiencePersonClaimSummary · object | RegistrationPersonClaimSummary · object | ContactDetailsPersonClaimSummary · object | LeiPersonClaimSummary · object | RegisteredAddressPersonClaimSummary · object | OperatingAddressPersonClaimSummary · object | BusinessNaturePersonClaimSummary · object | ExpectedActivityPersonClaimSummary · object | RelationshipsPersonClaimSummary · object)[]
required
Claims created for this person.
- IdentityPersonClaimSummary
- NationalitiesPersonClaimSummary
- ResidencePersonClaimSummary
- TaxResidenciesPersonClaimSummary
- FatcaStatusPersonClaimSummary
- PepStatusPersonClaimSummary
- EducationLevelPersonClaimSummary
- EmploymentPersonClaimSummary
- FinancialProfilePersonClaimSummary
- InvestmentExperiencePersonClaimSummary
- RegistrationPersonClaimSummary
- ContactDetailsPersonClaimSummary
- LeiPersonClaimSummary
- RegisteredAddressPersonClaimSummary
- OperatingAddressPersonClaimSummary
- BusinessNaturePersonClaimSummary
- ExpectedActivityPersonClaimSummary
- RelationshipsPersonClaimSummary
Show child attributes
Show child attributes
Person's full name.
Unique resource identifier.
Person type.
Available options:
natural, legal